<Fullscreen
  class='browse-geometry'
  @isFullscreen={{this.isFullscreen}}
  @onFullscreenRequest={{this.fullscreenRequest}}
  @disabled={{@disableFullscreen}}
  ...attributes
>
  <div
    class='map-container
      {{if @isSmall "is-small"}}
      {{if this.fullscreen.isEnabled "fullscreen"}}'
    {{did-insert this.setup}}
    {{did-update this.iconUpdate @icon}}
  >
    <Map::Plain as |map|>
      <Map::Layer::Base
        @map={{map}}
        @value={{this.selectedBaseMap}}
        @onSetupError={{this.layerSetupError}}
      />

      {{#if @extent}}
        <Map::Layer::Vector
          @style={{this.extentStyle}}
          @map={{map}}
          as |vector source|
        >
          <Map::Features::Geojson::Polygon
            @source={{source}}
            @value={{@extent}}
          />
        </Map::Layer::Vector>
      {{/if}}

      <Map::View
        @map={{map}}
        @extentM={{this.extentM}}
        @onChangeExtent={{this.changeExtent}}
      />

      <Map::Feature @map={{map}} @value={{@value}} @icon={{@icon}} />

      <Map::Container @right={{true}} @bottom={{true}}>
        <Map::Controls @disableZoom={{@disableZoom}} @map={{map}} />

        {{#unless @isSmall}}
          <Map::BaseMapSelect
            @list={{@baseMaps}}
            @selected={{this.selectedBaseMap}}
            @onSelect={{this.selectBaseMap}}
          />
        {{/unless}}
      </Map::Container>
    </Map::Plain>
  </div>
</Fullscreen>